echo off
clear
echo.   ***********************************************
echo.   *            PC BARREL 1.0                    *
echo.	*   by Olivier Montanuy (montanuy@dmi.ens.fr) *
echo.   ***********************************************
echo.
echo.   This is the file all Mac users were eagerly waiting
echo.        since MACBAR1.0 was shown to them. 
echo.   Time to give those lame PCs what they deserve!
echo.     Too bad you can't play that on a MAC :-)
echo.
echo.   Note: this was done with POVRAY/MORAY, as used for the
echo.   first time. camera placement is poor, colors are bad,
echo.   plenty of things had to be done by hand...
echo.
echo. Consider this WAD only as a demonstration of the new
echo. DeuSF 2.9 sprite and flat PWAD recomposer, my own
echo. replacement of DMADDS!
echo. LOOK how that SINGLE viewpoint barrel becomes a 
echo. EIGHT viewpoints PC. TRY to do that with DMADDS or NWT:-)
echo. 
echo. Compatibility: DOOM 1.2 & 1.666, DOOM2.
echo. DOOM.WAD and DOOM.EXE are completely unaffected.
echo. you don't need a backup copy.
pause
if exist DOOM.WAD  goto doit
if exist DOOM2.WAD goto doit
echo Can't find DOOM.WAD or DOOM2.WAD !
echo This patch must be installed in the DOOM directory.
pause
exit
:doit
echo. Now appending DOOM sprites to PCBARSF.WAD
echo. This may take a minute, and will require about 3 meg.
echo. on DOOM, 4 meg on DOOM ][
echo. Make SURE you have this space available on your disk.
pause
DeuSF -sprites -app pcbar.wad > pcbar.log
if errorlevel 0 goto good
echo Error! was there enough space on disk?
pause
exit
:good
echo. 
echo. Sprite business is complete.
echo. Now time to play DOOM!
echo. type: PCBAR 